Changes between Version 116 and Version 121 of Ticket #13864


Ignore:
Timestamp:
02/06/13 07:04:58 (8 years ago)
Author:
SimonKing
Comment:

With sage-5.7.beta2, another dependency is needed, namely #14059. Since several of the other dependencies were already merged, I changed the directions in the ticket description accordingly.

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #13864

    • Property Dependencies changed from #10352, #13832, #13865, #13867, #13868, #13876, #13878, #13882, #13883, #13889, #13896 to #10352, #13832, #13865, #13867, #13868, #13876, #13878, #13882, #13883, #13889, #13896, #13921, #14059
  • Ticket #13864 – Description

    v116 v121  
    11Instructions for getting a debug version of Python:
    22
    3 * Download and untar sage-5.6.beta1
    4 * Copy the Cython spkg from #13896 to spkg/standard
    5 * Copy the Python spkg from #13867 to spkg/standard
    6 * Copy the Singular spkg from #13876 to spkg/standard.
    7 * Copy the ZODB spkg from #10352 to spkg/standard
     3* Download and untar sage-5.7.beta2
     4* Copy the Python spkg from #13867 to spkg/standard and (to be on the safe side) remove the previously present Python spkg
    85* Run
    96  {{{
     
    118make
    129  }}}
    13   and wait. At the end, Sage will die in a SIGABRT during "Testing startup".
    14 * Apply the patches from #13868, #13878, #13880, #13882 and #13883 to the Sage library
     10  and wait.
     11* (optionally) install the gdb spkg from #13866
     12* Apply the patches from #13878 and #14059 to the Sage library
    1513* Run `sage -br`
    1614
    17 This gives you a Sage version that starts up, but some doctests segfault. Probably because we just found some bugs ;-)
     15This gives you a Sage version that starts up and should pass tests. If it doesn't, we just found some bugs ;-)